<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <ProjectGuid>{CA4351EA-7893-4692-9922-89938B38D420}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>lslc</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
    <ProjectName>ssc</ProjectName>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <SpectreMitigation>Spectre</SpectreMitigation>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <SpectreMitigation>Spectre</SpectreMitigation>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_WIN32_WINNT=0x0A00;WIN32;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>D:\Depot\automatic\Library\boost_1_72_0;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>D:\Depot\automatic\Library\boost_1_72_0\stage\lib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_SILENCE_ALL_CXX17_DEPRECATION_WARNINGS;_WIN32_WINNT=0x0A00;_DEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>D:/Depot/applications/modest/myhtml-master/include;D:\Depot\automatic\Library\boost_1_72_0;.;D:\Depot\automatic\Library\curl_7_65\curl-7.65.0\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <AdditionalOptions>/bigobj %(AdditionalOptions)</AdditionalOptions>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <BrowseInformation>true</BrowseInformation>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>D:/Depot/applications/modest/myhtml-master/lib/Debug;D:\Depot\automatic\Library\boost_1_72_0\stage\lib;D:\Depot\automatic\Library\curl_7_65\curl-7.65.0\build\Win64\VC15\LIB Debug - DLL Windows SSPI;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>myhtml_static.lib;libcurld.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <Bscmake>
      <AdditionalOptions>/Em /El /Es</AdditionalOptions>
    </Bscmake>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_WIN32_WINNT=0x0A00;WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>D:\Depot\automatic\Library\boost_1_72_0;.;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>D:\Depot\automatic\Library\boost_1_72_0\stage\lib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level4</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_SILENCE_ALL_CXX17_DEPRECATION_WARNINGS;_WIN32_WINNT=0x0A00;NDEBUG;_CONSOLE;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <AdditionalIncludeDirectories>D:/Depot/applications/modest/myhtml-master/include;D:\Depot\automatic\Library\boost_1_72_0;.;D:\Depot\automatic\Library\curl_7_65\curl-7.65.0\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <AdditionalOptions>/bigobj %(AdditionalOptions)</AdditionalOptions>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>D:/Depot/applications/modest/myhtml-master/lib/Release;D:\Depot\automatic\Library\boost_1_72_0\stage\lib-vc2019-x64;D:\Depot\automatic\Library\curl_7_65\curl-7.65.0\build\Win64\VC15\LIB Release - DLL Windows SSPI;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <AdditionalDependencies>myhtml_static.lib;libcurl.lib;kernel32.lib;user32.lib;gdi32.lib;winspool.lib;comdlg32.lib;advapi32.lib;shell32.lib;ole32.lib;oleaut32.lib;uuid.lib;odbc32.lib;odbccp32.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="attr.cpp" />
    <ClCompile Include="attribute_myhtml.cpp" />
    <ClCompile Include="byteorder.cpp" />
    <ClCompile Include="common.cpp" />
    <ClCompile Include="context.cpp" />
    <ClCompile Include="directory.cpp" />
    <ClCompile Include="elem.cpp" />
    <ClCompile Include="element.cpp" />
    <ClCompile Include="element_constructor.cpp" />
    <ClCompile Include="element_html.cpp" />
    <ClCompile Include="element_myhtml.cpp" />
    <ClCompile Include="element_wrapper.cpp" />
    <ClCompile Include="external.cpp" />
    <ClCompile Include="family.cpp" />
    <ClCompile Include="field.cpp" />
    <ClCompile Include="headers.cpp" />
    <ClCompile Include="hook.cpp" />
    <ClCompile Include="irt.cpp" />
    <ClCompile Include="microformats.cpp" />
    <ClCompile Include="microformat_constructor.cpp" />
    <ClCompile Include="microformat_export.cpp" />
    <ClCompile Include="page.cpp" />
    <ClCompile Include="url_parameters.cpp" />
    <ClCompile Include="prop.cpp" />
    <ClCompile Include="property_value.cpp" />
    <ClCompile Include="url_protocol.cpp" />
    <ClCompile Include="quote.cpp" />
    <ClCompile Include="ssc.cpp" />
    <ClCompile Include="options.cpp" />
    <ClCompile Include="test.cpp" />
    <ClCompile Include="type.cpp" />
    <ClCompile Include="type_enum.cpp" />
    <ClCompile Include="type_url.cpp" />
    <ClCompile Include="url.cpp" />
    <ClCompile Include="url_sanitise.cpp" />
    <ClCompile Include="url_scheme.cpp" />
    <ClCompile Include="vocab.cpp" />
    <ClCompile Include="webmention.cpp" />
    <ClCompile Include="webmentions.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="attr.h" />
    <ClInclude Include="attribute.h" />
    <ClInclude Include="attribute_classes.h" />
    <ClInclude Include="attribute_myhtml.h" />
    <ClInclude Include="byteorder.h" />
    <ClInclude Include="common.h" />
    <ClInclude Include="context.h" />
    <ClInclude Include="directory.h" />
    <ClInclude Include="elem.h" />
    <ClInclude Include="element.h" />
    <ClInclude Include="element_attribute.h" />
    <ClInclude Include="element_classes.h" />
    <ClInclude Include="element_constructor.h" />
    <ClInclude Include="element_html.h" />
    <ClInclude Include="element_myhtml.h" />
    <ClInclude Include="element_wrapper.h" />
    <ClInclude Include="external.h" />
    <ClInclude Include="family.h" />
    <ClInclude Include="field.h" />
    <ClInclude Include="headers.h" />
    <ClInclude Include="hook.h" />
    <ClInclude Include="irt.h" />
    <ClInclude Include="microformat.h" />
    <ClInclude Include="microformats.h" />
    <ClInclude Include="microformats_ptr.h" />
    <ClInclude Include="microformat_classes.h" />
    <ClInclude Include="microformat_constructor.h" />
    <ClInclude Include="microformat_export.h" />
    <ClInclude Include="microformat_export_rel.h" />
    <ClInclude Include="microformat_properties.h" />
    <ClInclude Include="page.h" />
    <ClInclude Include="options.h" />
    <ClInclude Include="url_parameters.h" />
    <ClInclude Include="prop.h" />
    <ClInclude Include="property.h" />
    <ClInclude Include="property_classes.h" />
    <ClInclude Include="property_value.h" />
    <ClInclude Include="url_protocol.h" />
    <ClInclude Include="quote.h" />
    <ClInclude Include="symbol.h" />
    <ClInclude Include="symbol_table.h" />
    <ClInclude Include="tuple.h" />
    <ClInclude Include="type.h" />
    <ClInclude Include="type_1.h" />
    <ClInclude Include="type_2.h" />
    <ClInclude Include="type_3.h" />
    <ClInclude Include="type_4.h" />
    <ClInclude Include="type_base.h" />
    <ClInclude Include="type_core.h" />
    <ClInclude Include="type_enum.h" />
    <ClInclude Include="type_master.h" />
    <ClInclude Include="type_relational.h" />
    <ClInclude Include="type_url.h" />
    <ClInclude Include="url.h" />
    <ClInclude Include="reldef.h" />
    <ClInclude Include="url_sanitise.h" />
    <ClInclude Include="url_scheme.h" />
    <ClInclude Include="url_schemes.h" />
    <ClInclude Include="version.h" />
    <ClInclude Include="vocab.h" />
    <ClInclude Include="webmention.h" />
    <ClInclude Include="webmentions.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="tests\HTML\url-bad.html" />
    <None Include="tests\HTML\url-dubious.html" />
    <None Include="tests\HTML\url-good.html" />
    <None Include="tests\HTML\index.html" />
    <None Include="tests\microformats\microformats2\h-adr-bad.html" />
    <None Include="tests\microformats\microformats2\h-adr-dubious.html" />
    <None Include="tests\microformats\microformats2\h-adr-empty.html" />
    <None Include="tests\microformats\microformats2\h-adr-good.html" />
    <None Include="tests\microformats\microformats2\h-adr-infer.html" />
    <None Include="tests\microformats\microformats2\h-breadcrumb-bad.html" />
    <None Include="tests\microformats\microformats2\h-breadcrumb-dubious.html" />
    <None Include="tests\microformats\microformats2\h-breadcrumb-empty.html" />
    <None Include="tests\microformats\microformats2\h-breadcrumb-good.html" />
    <None Include="tests\microformats\microformats2\h-breadcrumb-infer.html" />
    <None Include="tests\microformats\microformats2\h-card-bad.html" />
    <None Include="tests\microformats\microformats2\h-card-dubious.html" />
    <None Include="tests\microformats\microformats2\h-card-empty.html" />
    <None Include="tests\microformats\microformats2\h-card-good.html" />
    <None Include="tests\microformats\microformats2\h-card-infer.html" />
    <None Include="tests\microformats\microformats2\h-card-simple-bad.html" />
    <None Include="tests\microformats\microformats2\h-card-simple-dubious.html" />
    <None Include="tests\microformats\microformats2\h-card-simple-good.html" />
    <None Include="tests\microformats\microformats2\h-cite-bad.html" />
    <None Include="tests\microformats\microformats2\h-cite-dubious.html" />
    <None Include="tests\microformats\microformats2\h-cite-empty.html" />
    <None Include="tests\microformats\microformats2\h-cite-good.html" />
    <None Include="tests\microformats\microformats2\h-cite-infer.html" />
    <None Include="tests\microformats\microformats2\h-entry-bad.html" />
    <None Include="tests\microformats\microformats2\h-entry-dubious.html" />
    <None Include="tests\microformats\microformats2\h-entry-empty.html" />
    <None Include="tests\microformats\microformats2\h-entry-good.html" />
    <None Include="tests\microformats\microformats2\h-entry-infer.html" />
    <None Include="tests\microformats\microformats2\h-event-bad.html" />
    <None Include="tests\microformats\microformats2\h-event-dubious.html" />
    <None Include="tests\microformats\microformats2\h-event-empty.html" />
    <None Include="tests\microformats\microformats2\h-event-good.html" />
    <None Include="tests\microformats\microformats2\h-event-infer.html" />
    <None Include="tests\microformats\microformats2\h-feed-bad.html" />
    <None Include="tests\microformats\microformats2\h-feed-dubious.html" />
    <None Include="tests\microformats\microformats2\h-feed-empty.html" />
    <None Include="tests\microformats\microformats2\h-feed-good.html" />
    <None Include="tests\microformats\microformats2\h-feed-infer.html" />
    <None Include="tests\microformats\microformats2\h-geo-bad.html" />
    <None Include="tests\microformats\microformats2\h-geo-dubious.html" />
    <None Include="tests\microformats\microformats2\h-geo-empty.html" />
    <None Include="tests\microformats\microformats2\h-geo-good.html" />
    <None Include="tests\microformats\microformats2\h-geo-infer.html" />
    <None Include="tests\microformats\microformats2\h-item-bad.html" />
    <None Include="tests\microformats\microformats2\h-item-dubious.html" />
    <None Include="tests\microformats\microformats2\h-item-empty.html" />
    <None Include="tests\microformats\microformats2\h-item-good.html" />
    <None Include="tests\microformats\microformats2\h-item-infer.html" />
    <None Include="tests\microformats\microformats2\h-listing-bad.html" />
    <None Include="tests\microformats\microformats2\h-listing-dubious.html" />
    <None Include="tests\microformats\microformats2\h-listing-empty.html" />
    <None Include="tests\microformats\microformats2\h-listing-good.html" />
    <None Include="tests\microformats\microformats2\h-listing-infer.html" />
    <None Include="tests\microformats\microformats2\h-product-bad.html" />
    <None Include="tests\microformats\microformats2\h-product-dubious.html" />
    <None Include="tests\microformats\microformats2\h-product-empty.html" />
    <None Include="tests\microformats\microformats2\h-product-good.html" />
    <None Include="tests\microformats\microformats2\h-product-infer.html" />
    <None Include="tests\microformats\microformats2\h-recipe-bad.html" />
    <None Include="tests\microformats\microformats2\h-recipe-dubious.html" />
    <None Include="tests\microformats\microformats2\h-recipe-empty.html" />
    <None Include="tests\microformats\microformats2\h-recipe-good.html" />
    <None Include="tests\microformats\microformats2\h-recipe-infer.html" />
    <None Include="tests\microformats\microformats2\h-resume-bad.html" />
    <None Include="tests\microformats\microformats2\h-resume-dubious.html" />
    <None Include="tests\microformats\microformats2\h-resume-empty.html" />
    <None Include="tests\microformats\microformats2\h-resume-good.html" />
    <None Include="tests\microformats\microformats2\h-resume-infer.html" />
    <None Include="tests\microformats\microformats2\h-review-aggregate-bad.html" />
    <None Include="tests\microformats\microformats2\h-review-aggregate-dubious.html" />
    <None Include="tests\microformats\microformats2\h-review-aggregate-empty.html" />
    <None Include="tests\microformats\microformats2\h-review-aggregate-good.html" />
    <None Include="tests\microformats\microformats2\h-review-aggregate-infer.html" />
    <None Include="tests\microformats\microformats2\h-review-bad.html" />
    <None Include="tests\microformats\microformats2\h-review-dubious.html" />
    <None Include="tests\microformats\microformats2\h-review-empty.html" />
    <None Include="tests\microformats\microformats2\h-review-good.html" />
    <None Include="tests\microformats\microformats2\h-review-infer.html" />
    <None Include="tests\microformats\microformats2\index.html" />
    <None Include="tests\microformats\rel\invalid\index.html" />
    <None Include="tests\microformats\rel\valid\index.html" />
    <None Include="tests\simple\index.html" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="tests\HTML\x.jpg" />
    <Image Include="tests\microformats\microformats2\photo.jpg" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>